<?php
	$target='manifiesto';
	include("funciones/funciones_backup.php");   
	include("conexion/conexion.php");
	include("Menu/menu_inicio.php");  
	include("Ordenes/ordenes.php"); 
	$nombrepagina = "PROCESOS MANIFIESTOS";
	encabezado($target); 
	$user=$_SESSION['validar'];
	$tamano_pagina=20;
	$_SESSION['tam']=$tamano_pagina;  
	$pagina = $_GET["pagina"];
	if(!$pagina){
		$inicio=0;
		$_SESSION['inicio']=$inicio;
		$pagina=1;
	}else{
		$inicio=($pagina-1)*$tamano_pagina;
		$_SESSION['inicio']=$inicio;
	}
	$filas=1;   
	if($filas == 1){ 
		class llamado{
			var $menuObj;
			function validar1($id_user,$id_sucursal){
	 			$this->menuObj=new menu_inicio();
				$this->menuObj->menu2($id_user,$id_sucursal);
			}
	 	}
		$llamadoObj=new llamado();
		$llamadoObj->validar1($_GET['id_user'],$_GET['suc']);
		entrada($user,$_GET['id_user'],$_GET['suc']);
		echo"</td>";
		echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
		mostrar_cabeza_trabajo($nombrepagina);	 
		class obtiene{
			var $userObj;
		  	function obtener($perfil){
				$this->userObj=new select_zonas();
				$tabla=$this->userObj->get_tabla($_GET['suc']);
				$_SESSION['tabla_guia']=$tabla;
			}
			function cantidad($sql_consulta){
				$this->userObj=new select_zonas();
		  		$cant=$this->userObj->get_filas($sql_consulta);
		  		return $cant;
		  	}
		}
		$eliminaObj=new obtiene();
		$eliminaObj->obtener($suc);
		$tabla=$_SESSION['tabla_guia'];
		$perfil=$_SESSION['perfil'];
		if($perfil==0){
			$add='';
		}else{
			$add="WHERE id_sucursal_orig='".$_GET['suc']."'";
		}
		$sql_manifiesto="SELECT * FROM manifiesto $add";
		$cant=$eliminaObj->cantidad($sql_manifiesto);
		$total_paginas= ceil($cant/$tamano_pagina);
?><CENTER>
<form action="ver_manifiesto.php" method="get" name="backup">
<table width="250" border="0" class="primaria">
<tr class=miTable_tr>
<td colspan="2" class=miTable_th1><div align="center">..:: BUSCAR MANIFIESTO ::..</div></td>
</tr>
<tr class="miTable_tr">
<td valign=top class=miTable_td width="150"><div align="center">Digite Manifiesto</div></td>
<td valign=top class=miTable_td width="100"><input type="text" name="manifiesto" class="inputbox"></td>
</tr>
<tr class=miTable_tr>
<td colspan="2" class=miTable_th1>
<input type="hidden" name="id_user" value="<? echo $_GET['id_user'];?>" class="inputbox">
<input type="hidden" name="suc" value="<? echo $_GET['suc'];?>" class="inputbox">
<input type="hidden" name="tabla" value="<? echo $tabla;?>" class="inputbox">
<input type="submit" name="Buscar" value="Buscar" class="inputbox"></td>
</tr>
</table>
</form>
</CENTER>
<CENTER>
<table width="580" border="0" class="primaria">
<tr class=miTable_tr>
<td colspan="9" class=miTable_th1><div align="center">..:: Procesos Manifiestos ::..</div></td>
</tr>
<tr class=miTable_tr>
<td colspan="9" class=miTable_th1>Cantidad de registros encontrados <? print $cant;?></td>
</tr>
<tr class="miTable_tr">
<td valign=top class=miTable_th1 width="40">Manifiesto</td>
<td valign=top class=miTable_th1 width="60">Fecha</td>
<td valign=top class=miTable_th1 width="50">Hora</td>
<td valign=top class=miTable_th1 width="190">Usuario</td>
<td valign=top class=miTable_th1 width="55">Cantidad</td>
<td valign=top class=miTable_th1 width="190">Sucursal Destino</td>
</tr>
<?
	class elimina{
		  var $userObj;
		  function eliminar($perfil){
		  			$tamano_pagina=$_SESSION['tam'];
					$inicio=$_SESSION['inicio'];
		  		   $this->userObj=new select_zonas();
				   $this->userObj->lista_manifiesto($inicio,$tamano_pagina,$_GET['suc'],$_GET['id_user'],$perfil);
		  }
	}
	$eliminaObj=new elimina();
	$eliminaObj->eliminar($perfil);
?>
</tr>
<tr class=miTable_tr>
<td class=miTable_td colspan="9">
<div align="center">
<?
$id_user=$_GET['id_user'];
$id_sucursal=$_GET['suc'];
if($total_paginas>1){   echo "Paginas:";
	$start = ( $pagina-5 > 0 ? $pagina-5  : 1 );
	if($start > 1 ){
		print "&nbsp;<a href=ejecuta_planilla.php?pagina=".($start-1)."&id_user=$id_user&suc=$id_sucursal'> << </A>";
	}
	for($i = 0; $i < 10 && $total_paginas >= $start+$i; $i++){
		if($pagina == $start+$i){
			print "&nbsp;&nbsp;".($start+$i); 
		}else{
			print "&nbsp;&nbsp;<a href='ejecuta_planilla.php?pagina=".($start+$i)."&id_user=$id_user&suc=$id_sucursal'>". ($start+$i)." </A>";
		}
	}
	if($start+$i < $total_paginas){
		print "&nbsp;&nbsp;<a href='ejecuta_planilla.php?pagina=".($start+$i)."&id_user=$id_user&suc=$id_sucursal'> >> </A>";
	}
} 
?>
</div>
</td>
</tr>
<form method='GET' action="">
<tr class=miTable_tr>
<td class=miTable_th1 colspan="9">
<DIV align="center">
Ir a la pagina
<input type='text' name='pagina' value='' size="5" class="inputbox">
<input type='hidden' name='id_user' value='<? echo $id_user?>'>
<input type='hidden' name='suc' value='<? echo $id_sucursal?>'>
<input type='submit' name='' value='Ir' class="inputbox">
</DIV>
</td>
</tr>
</table>
</form>
</CENTER>
<?
mostrar_pie();
} 
	echo"</td>";
	echo"</tr>";   
	echo"</table>";     
	echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
	echo"<tbody><tr>";
	echo"<td></td>";
	echo"</tr>";
	echo"<tr>";
	echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
	echo"</tr>";
	echo"<tr>";
?><td>
<center>
<? pie_de_pagina();?>
</center>
</td>
<?php
	echo"</tr>";
	echo"</tbody></table>";
	echo"</center>";
	echo"</body>";
	echo"</html>";
?>